Documentation Index
Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
Use this file to discover all available pages before exploring further.
O SDK PHP da Chargefy está em breve. Estamos trabalhando para disponibilizá-lo o mais rápido possível.
Enquanto o SDK PHP não está disponível, você pode integrar diretamente com a API REST da Chargefy.
Usando a API REST Diretamente
Você pode consumir a API Chargefy com qualquer cliente HTTP. Veja alguns exemplos com curl:
Autenticação
curl -X GET https://api.chargefy.io/v1/products \
-H "Authorization: Bearer CHARGEFY_ACCESS_TOKEN" \
-H "Content-Type: application/json"
Listar Clientes
curl -X GET https://api.chargefy.io/v1/customers \
-H "Authorization: Bearer CHARGEFY_ACCESS_TOKEN" \
-H "Content-Type: application/json"
Criar um Checkout
curl -X POST https://api.chargefy.io/v1/checkouts \
-H "Authorization: Bearer CHARGEFY_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"productPriceId": "price_xxx",
"successUrl": "https://seusite.com/sucesso"
}'
Próximos Passos
Referência da API
Consulte a documentação completa da API REST